## gst-plugins-good1.0 1.22.0

=== meson_options.txt ===
# Feature options for plugins without external deps
option('alpha', type : 'feature', value : 'auto')
option('apetag', type : 'feature', value : 'auto')
option('audiofx', type : 'feature', value : 'auto')
option('audioparsers', type : 'feature', value : 'auto')
option('auparse', type : 'feature', value : 'auto')
option('autodetect', type : 'feature', value : 'auto')
option('avi', type : 'feature', value : 'auto')
option('cutter', type : 'feature', value : 'auto')
option('debugutils', type : 'feature', value : 'auto')
option('deinterlace', type : 'feature', value : 'auto')
option('dtmf', type : 'feature', value : 'auto')
option('effectv', type : 'feature', value : 'auto')
option('equalizer', type : 'feature', value : 'auto')
option('flv', type : 'feature', value : 'auto')
option('flx', type : 'feature', value : 'auto')
option('goom', type : 'feature', value : 'auto')
option('goom2k1', type : 'feature', value : 'auto')
option('icydemux', type : 'feature', value : 'auto')
option('id3demux', type : 'feature', value : 'auto')
option('imagefreeze', type : 'feature', value : 'auto')
option('interleave', type : 'feature', value : 'auto')
option('isomp4', type : 'feature', value : 'auto')
option('law', type : 'feature', value : 'auto')
option('level', type : 'feature', value : 'auto')
option('matroska', type : 'feature', value : 'auto')
option('monoscope', type : 'feature', value : 'auto')
option('multifile', type : 'feature', value : 'auto')
option('multipart', type : 'feature', value : 'auto')
option('replaygain', type : 'feature', value : 'auto')
option('rtp', type : 'feature', value : 'auto')
option('rtpmanager', type : 'feature', value : 'auto')
option('rtsp', type : 'feature', value : 'auto')
option('shapewipe', type : 'feature', value : 'auto')
option('smpte', type : 'feature', value : 'auto')
option('spectrum', type : 'feature', value : 'auto')
option('udp', type : 'feature', value : 'auto')
option('videobox', type : 'feature', value : 'auto')
option('videocrop', type : 'feature', value : 'auto')
option('videofilter', type : 'feature', value : 'auto')
option('videomixer', type : 'feature', value : 'auto')
option('wavenc', type : 'feature', value : 'auto')
option('wavparse', type : 'feature', value : 'auto')
option('xingmux', type : 'feature', value : 'auto')
option('y4m', type : 'feature', value : 'auto')

# Feature options for plugins with external deps
option('adaptivedemux2', type : 'feature', value : 'auto', description : '2nd generation adaptive demuxer plugin')
option('aalib', type : 'feature', value : 'auto', description : 'aalib text console video sink plugin')
option('bz2', type : 'feature', value : 'auto', description : 'libbz2 support in the matroska plugin')
option('cairo', type : 'feature', value : 'auto', description : 'Cairo overlay plugin')
option('directsound', type : 'feature', value : 'auto', description : 'Directsound audio source/sink plugin')
option('dv', type : 'feature', value : 'auto', description : 'Digital video decoder and demuxer plugin')
option('dv1394', type : 'feature', value : 'auto', description : 'Digital IEEE1394 interface video source plugin')
option('flac', type : 'feature', value : 'auto', description : 'FLAC audio codec plugin')
option('gdk-pixbuf', type : 'feature', value : 'auto', description : 'gdk-pixbuf image decoder, overlay, and sink plugin')
option('gtk3', type : 'feature', value : 'auto', description : 'GTK+ video sink plugin')
option('jack', type : 'feature', value : 'auto', description : 'JACK audio source/sink plugin')
option('jpeg', type : 'feature', value : 'auto', description : 'JPEG image codec plugin')
option('lame', type : 'feature', value : 'auto', description : 'LAME mp3 audio encoder plugin')
option('libcaca', type : 'feature', value : 'auto', description : 'libcaca text console video sink plugin')
option('mpg123', type : 'feature', value : 'auto', description : 'mpg123 mp3 audio decoder plugin')
option('oss', type : 'feature', value : 'auto', description : 'OSS audio source/sink plugin')
option('oss4', type : 'feature', value : 'auto', description : 'OSSv4 audio source/sink plugin')
option('osxaudio', type : 'feature', value : 'auto', description : 'macOS/iOS CoreAudio source/sink plugin')
option('osxvideo', type : 'feature', value : 'auto', description : 'macOS Cocoa video sink plugin')
option('png', type : 'feature', value : 'auto', description : 'PNG image codec plugin')
option('pulse', type : 'feature', value : 'auto', description : 'Pulseaudio audio source/sink plugin')
option('shout2', type : 'feature', value : 'auto', description : 'Shout-casting network sink plugin based on libshout2')
option('soup', type : 'feature', value : 'auto', description : 'libsoup HTTP client source/sink plugin')
option('speex', type : 'feature', value : 'auto', description : 'Speex audio codec plugin')
option('taglib', type : 'feature', value : 'auto', description : 'Tag-writing plugin based on taglib')
option('twolame', type : 'feature', value : 'auto', description : 'twolame mp2 audio encoder plugin')
option('vpx', type : 'feature', value : 'auto', description : 'VP8 and VP9 video codec plugin')
option('waveform', type : 'feature', value : 'auto', description : 'Windows waveform audio sink plugin')
option('wavpack', type : 'feature', value : 'auto', description : 'Wavpack audio codec plugin')

# HLS plugin options
option('hls-crypto', type : 'combo', value : 'auto', choices : ['auto', 'nettle', 'libgcrypt', 'openssl'],
       description: 'Crypto library to use for HLS plugin')

# rpicamsrc plugin options
option('rpicamsrc', type : 'feature', value : 'auto', description : 'Raspberry Pi camera module plugin')
option('rpi-header-dir', type : 'string', value : '/opt/vc/include', description : 'Directory where VideoCore/MMAL headers and bcm_host.h can be found')
option('rpi-lib-dir', type : 'string', value : '/opt/vc/lib', description : 'Directory where VideoCore/MMAL libraries can be found')

# Qt plugin options
option('qt-method', type: 'combo', value: 'auto', choices: ['auto', 'pkg-config', 'qmake'],
       description: 'Method to use to find Qt')
option('qt5', type : 'feature', value : 'auto', yield : true, description : 'Qt5 QML video sink plugin')
option('qt6', type : 'feature', value : 'auto', yield : true, description : 'Qt6 QML video sink plugin')

# ximagesrc plugin options
option('ximagesrc', type : 'feature', value : 'auto', description : 'X11 ximagesrc plugin')
option('ximagesrc-xshm', type : 'feature', value : 'auto', description : 'X11 ximagesrc plugin (XSHM support)')
option('ximagesrc-xfixes', type : 'feature', value : 'auto', description : 'X11 ximagesrc plugin (XFixes support)')
option('ximagesrc-xdamage', type : 'feature', value : 'auto', description : 'X11 ximagesrc plugin (XDamage support)')

# v4l2 plugin options
option('v4l2', type : 'feature', value : 'auto', description : 'Build video4linux2 source/sink plugin')
option('v4l2-probe', type : 'boolean', value : true, description : 'Probe v4l2 devices when the v4l2 plugin is loaded')
option('v4l2-libv4l2', type : 'feature', value : 'auto', description : 'Use libv4l2 for some obscure format conversions')
option('v4l2-gudev', type : 'feature', value : 'auto', description : 'Use libgudev for probing v4l2 devices')

# Common feature options
option('examples', type : 'feature', value : 'auto', yield : true)
option('tests', type : 'feature', value : 'auto', yield : true)
option('nls', type : 'feature', value : 'auto', yield: true, description : 'Enable native language support (translations)')
option('orc', type : 'feature', value : 'auto', yield : true)
option('gobject-cast-checks', type : 'feature', value : 'auto', yield : true,
       description: 'Enable run-time GObject cast checks (auto = enabled for development, disabled for stable releases)')
option('glib-asserts', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib assertion (auto = enabled for development, disabled for stable releases)')
option('glib-checks', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib checks such as API guards (auto = enabled for development, disabled for stable releases)')
option('asm', type : 'feature', value : 'auto', yield : true)

# Common options
option('package-name', type : 'string', yield : true,
       description : 'package name to use in plugins')
option('package-origin', type : 'string', value : 'Unknown package origin', yield : true,
       description : 'package origin URL to use in plugins')
option('doc', type : 'feature', value : 'auto', yield: true,
       description: 'Enable documentation.')

=== debian/changelog ===
gst-plugins-good1.0 (1.22.0-5+deb12u3) bookworm; urgency=medium

  * CVE-2025-47219

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 20 Aug 2025 20:44:45 +0200

gst-plugins-good1.0 (1.22.0-5+deb12u2) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * qtdemux: Avoid integer overflow when parsing Theora extension
    (CVE-2024-47606, GHSL-2024-166)
  * jpegdec: Directly error out on negotiation failures (CVE-2024-47599,
    GHSL-2024-247)
  * gdkpixbufdec: Check if initializing the video info actually succeeded
    (CVE-2024-47613, GHSL-2024-118)
  * wavparse: Check for short reads when parsing headers in pull mode
    (CVE-2024-47778, GHSL-2024-258, CVE-2024-47776, GHSL-2024-260)
  * wavparse: Make sure enough data for the tag list tag is available before
    parsing (CVE-2024-47778, GHSL-2024-258)
  * wavparse: Fix parsing of acid chunk
  * wavparse: Check that at least 4 bytes are available before parsing cue
    chunks
  * wavparse: Check that at least 32 bytes are available before parsing smpl
    chunks (CVE-2024-47777, GHSL-2024-259)
  * wavparse: Fix clipping of size to the file size (CVE-2024-47776,
    GHSL-2024-260)
  * wavparse: Check size before reading ds64 chunk (CVE-2024-47775,
    GHSL-2024-261)
  * avisubtitle: Fix size checks and avoid overflows when checking sizes
    (CVE-2024-47774, GHSL-2024-262)
  * matroskademux: Only unmap GstMapInfo in WavPack header extraction error
    paths if previously mapped (CVE-2024-47540, GHSL-2024-197)
  * matroskademux: Fix off-by-one when parsing multi-channel WavPack
  * matroskademux: Check for big enough WavPack codec private data before
    accessing it (CVE-2024-47602, GHSL-2024-250)
  * matroskademux: Don't take data out of an empty adapter when processing
    WavPack frames (CVE-2024-47601, GHSL-2024-249)
  * matroskademux: Skip over laces directly when postprocessing the frame
    fails (CVE-2024-47601, GHSL-2024-249)
  * matroskademux: Skip over zero-sized Xiph stream headers (CVE-2024-47603,
    GHSL-2024-251)
  * matroskademux: Put a copy of the codec data into the A_MS/ACM caps
    (CVE-2024-47834, GHSL-2024-280)
  * qtdemux: Fix integer overflow when allocating the samples table for
    fragmented MP4 (CVE-2024-47537, GHSL-2024-094, GHSL-2024-237,
    GHSL-2024-241)
  * qtdemux: Fix debug output during trun parsing
  * qtdemux: Don't iterate over all trun entries if none of the flags are set
  * qtdemux: Check sizes of stsc/stco/stts before trying to merge entries
    (CVE-2024-47598, GHSL-2024-246)
  * qtdemux: Make sure only an even number of bytes is processed when handling
    CEA608 data (CVE-2024-47539, GHSL-2024-195)
  * qtdemux: Make sure enough data is available before reading wave header
    node (CVE-2024-47543, GHSL-2024-236)
  * qtdemux: Fix length checks and offsets in stsd entry parsing
    (CVE-2024-47545, GHSL-2024-242)
  * qtdemux: Fix error handling when parsing cenc sample groups fails
    (CVE-2024-47544, GHSL-2024-238, GHSL-2024-239, GHSL-2024-240)
  * qtdemux: Make sure there are enough offsets to read when parsing samples
    (CVE-2024-47597, GHSL-2024-245)
  * qtdemux: Actually handle errors returns from various functions instead of
    ignoring them (CVE-2024-47597, GHSL-2024-245)
  * qtdemux: Check for invalid atom length when extracting Closed Caption data
    (CVE-2024-47546, GHSL-2024-243)
  * qtdemux: Add size check for parsing SMI / SEQH atom (CVE-2024-47596,
    GHSL-2024-244)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 21 Dec 2024 14:32:49 +0100

gst-plugins-good1.0 (1.22.0-5+deb12u1) bookworm-security; urgency=medium

  * GST-2023-0001

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 29 Jun 2023 20:21:18 +0200

gst-plugins-good1.0 (1.22.0-5) unstable; urgency=medium

  * Team upload
  * Disable the qt5/qt6 elements on architectures where Qt5/Qt6 are not
    building

 -- Laurent Bigonville <bigon@debian.org>  Mon, 27 Feb 2023 20:01:19 +0100

gst-plugins-good1.0 (1.22.0-4) unstable; urgency=medium

  * Add Breaks/Replaces against gst-plugins-ugly which used to provide
    libgstxingmux.so (Closes: #1029923)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 29 Jan 2023 10:44:36 -0500

gst-plugins-good1.0 (1.22.0-3) unstable; urgency=medium

  * Build-Depend on libgirepository1.0-dev
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 14:00:56 -0500

gst-plugins-good1.0 (1.22.0-2) experimental; urgency=medium

  * Team upload
  * debian/control: Bump minimum gstreamer, glib, and meson
  * debian/rules: Fix configure flags for non-Linux

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 Jan 2023 13:33:24 -0500

gst-plugins-good1.0 (1.22.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Build-Depend on libxml2-dev
  * debian/control: Bump minimum gstreamer, glib, and meson
  * debian/gstreamer1.0-plugins-good.install: Add new plugins
  * Add Qt6 plugin package

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 Jan 2023 19:26:03 -0500

gst-plugins-good1.0 (1.20.5-2) unstable; urgency=medium

  * Fix alternate dependency on libsoup3 (Closes: #1023215)
  * debian/rules: Set -Dauto_features=enabled
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 Jan 2023 18:58:12 -0500

gst-plugins-good1.0 (1.20.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add debian/upstream/signing-key.asc and update debian/watch to use it
  * Update debian/upstream/metadata
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 05 Jan 2023 14:03:18 -0500

=== debian/control ===
Source: gst-plugins-good1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.15.1),
               meson (>= 0.62),
               pkg-config (>= 0.11.0),
               xvfb,
               xauth,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.62),
               libgstreamer1.0-dev (>= 1.22.0),
               libgstreamer-plugins-base1.0-dev (>= 1.22.0),
               gstreamer1.0-plugins-base (>= 1.22.0),
               liborc-0.4-dev (>= 1:0.4.17),
               libcairo2-dev (>= 1.10.0),
               libcaca-dev,
               libspeex-dev (>= 1.1.6),
               libpng-dev,
               libshout3-dev,
               libjpeg-dev,
               libaa1-dev (>= 1.4p5),
               libflac-dev (>= 1.1.4),
               libdv4-dev | libdv-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxml2-dev,
               libxv-dev,
               libx11-xcb-dev,
               libgtk-3-dev (>= 3.15),
               libtag1-dev (>= 1.5),
               libwavpack-dev (>= 4.60),
               libpulse-dev (>= 2.0),
               libbz2-dev,
               libjack-jackd2-dev,
               libvpx-dev (>= 1.7),
               libmp3lame-dev,
               libmpg123-dev (>= 1.13),
               libtwolame-dev (>= 0.3.10),
               qtbase5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
               qtbase5-private-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
               qtdeclarative5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
               qt6-base-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
               qt6-declarative-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
               qt6-tools-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
               libqt5x11extras5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
               libqt5waylandclient5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64],
               libraw1394-dev (>= 2.0.0) [linux-any],
               libiec61883-dev (>= 1.0.0) [linux-any],
               libavc1394-dev [linux-any],
               libv4l-dev [linux-any],
               libgudev-1.0-dev (>= 147) [linux-any],
               nasm (>= 2.13) [any-amd64]
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-pulseaudio
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: gstreamer1.0-plugins-good (>= 1.22.0), ${misc:Depends}
Description: GStreamer plugin for PulseAudio (transitional package)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package used to contain the GStreamer plugin for PulseAudio, a
 sound server for POSIX and WIN32 systems.
 .
 This is a transitional package.

Package: gstreamer1.0-qt5
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64
Multi-Arch: same
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Replaces: gstreamer1.0-plugins-bad (<< 1.13.1)
Breaks: gstreamer1.0-plugins-bad (<< 1.13.1)
Description: GStreamer plugin for Qt5
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for Qt5.

Package: gstreamer1.0-qt6
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64
Multi-Arch: same
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugin for Qt6
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for Qt6.

Package: gstreamer1.0-gtk3
Architecture: any
Multi-Arch: same
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Replaces: gstreamer1.0-plugins-bad (<< 1.13.1)
Breaks: gstreamer1.0-plugins-bad (<< 1.13.1)
Description: GStreamer plugin for GTK+3
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for GTK+3.

Package: gstreamer1.0-plugins-good
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-audiosink,
         gstreamer1.0-plugins-base (>= 1.22.0),
         libsoup2.4-1 (>= 2.48) | libsoup-3.0-0
Recommends: gstreamer1.0-x
Replaces: gstreamer1.0-plugins-bad (<< 1.15.1),
          gstreamer1.0-plugins-ugly (<< 1.22),
          gstreamer1.0-pulseaudio (<< 1.18.0)
Breaks: gstreamer1.0-plugins-bad (<< 1.15.1),
        gstreamer1.0-plugins-ugly (<< 1.22),
        gstreamer1.0-pulseaudio (<< 1.18.0)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from the "good" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins from the "good" set, a set
 of good-quality plug-ins under the LGPL license.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export HOME=$(CURDIR)/fake-home
export QT_SELECT=5

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)

built_binaries := $(shell dh_listpackages)

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Good Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-good1.0"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Good Plugins (Debian)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-good1.0"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Good Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/ubuntu/+source/gst-plugins-good1.0"
endif

conf_flags = -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
conf_flags += -Dauto_features=enabled -Ddoc=disabled -Drpicamsrc=disabled

ifeq ($(DEB_HOST_ARCH_OS),hurd)
conf_flags += -Doss4=disabled
endif

ifneq ($(DEB_HOST_ARCH_OS),linux)
conf_flags += -Ddv1394=disabled -Dv4l2=disabled
endif

ifeq ($(filter gstreamer1.0-qt5,$(built_binaries)),)
conf_flags += -Dqt5=disabled
endif
ifeq ($(filter gstreamer1.0-qt6,$(built_binaries)),)
conf_flags += -Dqt6=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(conf_flags)

execute_before_dh_auto_clean:
	rm -rf $(CURDIR)/fake-home

# Only make the tests fail for key architectures
override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
	xvfb-run dh_auto_test
else
	xvfb-run dh_auto_test || true
endif

execute_after_dh_install:
ifneq ($(DEB_HOST_ARCH_OS),hurd)
	dh_install -pgstreamer1.0-plugins-good debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstoss4.so
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install -pgstreamer1.0-plugins-good debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgst1394.so
	dh_install -pgstreamer1.0-plugins-good debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstvideo4linux2.so
endif

	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
	dh_gstscancodecs
	rm -rf $(CURDIR)/fake-home

## gst-plugins-good1.0 1.22.1

=== debian/changelog ===
gst-plugins-good1.0 (1.22.1-1ubuntu1.2) lunar-security; urgency=medium

  * SECURITY UPDATE: Integer overflow leading to heap overwrite in FLAC
    image tag handling
    - debian/patches/CVE-2023-37327-1.patch: avoid integer overflow in
      available data check for image tags in
      gst/audioparsers/gstflacparse.c.
    - CVE-2023-37327
  * debian/patches/Skip-failing-tests.patch: add flvmux test as it is now
    hitting a timeout on arm64.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 01 Aug 2023 08:36:03 -0400

gst-plugins-good1.0 (1.22.1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian (LP: #2015129. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
    + Don't build the Qt6 plugin on i386 since Qt6 isn't built there
      on Ubuntu yet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Apr 2023 08:53:41 -0400

gst-plugins-good1.0 (1.22.1-1) experimental; urgency=medium

  * Team upload
  * New upstream bugfix release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 03 Apr 2023 16:35:02 -0400

gst-plugins-good1.0 (1.22.0-4ubuntu1) lunar; urgency=medium

  * Merge from Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
    + Don't build the Qt6 plugin on i386 since Qt6 isn't built there
      on Ubuntu yet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 29 Jan 2023 11:02:43 -0500

gst-plugins-good1.0 (1.22.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian experimental (NEW). Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
  * debian/control: Bump minimum gstreamer, glib, and meson
  * debian/rules: Fix configure flags for non-Linux
  * Build-Depend on libgirepository1.0-dev
  * Update camerabin patch for the 1.22 series
  * Don't build the Qt6 plugin on i386 since Qt6 isn't built there on Ubuntu yet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 Jan 2023 14:45:15 -0500

gst-plugins-good1.0 (1.20.5-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jan 2023 14:58:49 -0500

gst-plugins-good1.0 (1.20.3-1ubuntu2) lunar; urgency=medium

  * No-change rebuild against libflac12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Dec 2022 20:27:24 +0000

gst-plugins-good1.0 (1.20.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Jun 2022 08:29:43 -0400

gst-plugins-good1.0 (1.20.2-1ubuntu2) kinetic; urgency=medium

  * Only make dh_auto_test fail the build for key architectures

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 23 May 2022 16:04:10 -0400

gst-plugins-good1.0 (1.20.2-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gst-plugins-good1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper,
@@ -45,11 +46,11 @@
                qtbase5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qtbase5-private-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qtdeclarative5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
-               qt6-base-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
-               qt6-declarative-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
-               qt6-tools-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
+               qt6-base-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
+               qt6-declarative-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
+               qt6-tools-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                libqt5x11extras5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
-               libqt5waylandclient5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64],
+               libqt5waylandclient5-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64],
                libraw1394-dev (>= 2.0.0) [linux-any],
                libiec61883-dev (>= 1.0.0) [linux-any],
                libavc1394-dev [linux-any],
@@ -57,8 +58,10 @@
                libgudev-1.0-dev (>= 147) [linux-any],
                nasm (>= 2.13) [any-amd64]
 Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
-Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
+Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0
+Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0/+git/gst-plugins-good1.0
+XS-Debian-Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
 Homepage: https://gstreamer.freedesktop.org
 
 Package: gstreamer1.0-pulseaudio
@@ -105,7 +108,7 @@
  This package contains the GStreamer plugin for Qt5.
 
 Package: gstreamer1.0-qt6
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64
+Architecture: amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64
 Multi-Arch: same
 Section: graphics
 Depends: ${misc:Depends},
@@ -159,6 +162,7 @@
          ${shlibs:Depends},
          gstreamer1.0-audiosink,
          gstreamer1.0-plugins-base (>= 1.22.0),
+         libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
          libsoup2.4-1 (>= 2.48) | libsoup-3.0-0
 Recommends: gstreamer1.0-x
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1),
@@ -184,3 +188,42 @@
  .
  This package contains the GStreamer plugins from the "good" set, a set
  of good-quality plug-ins under the LGPL license.
+
+Package: libgstreamer-plugins-good1.0-0
+Architecture: any
+Section: libs
+Priority: optional
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
+Replaces: gstreamer1.0-plugins-good (= 1.0.3-1ubuntu1),
+          libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
+Description: GStreamer development files for libraries from the "good" set
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This package contains shared GStreamer libraries from the "good" set. The API
+ is not guaranteed to be stable.
+
+Package: libgstreamer-plugins-good1.0-dev
+Architecture: any
+Section: libdevel
+Priority: optional
+Depends: ${misc:Depends},
+     libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
+     libgstreamer1.0-dev
+Description: GStreamer development files for libraries from the "good" set
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This package contains development files for GStreamer libraries from the
+ "good" set. The API is not guaranteed to be stable.

=== debian/rules ===
--- 
+++ 
@@ -79,5 +79,6 @@
 
 	mkdir -p $(CURDIR)/fake-home
 	HOME=$(CURDIR)/fake-home \
-	dh_gstscancodecs
+	LD_LIBRARY_PATH=debian/libgstreamer-plugins-good1.0-0/usr/lib/$(DEB_HOST_MULTIARCH) \
+	    dh_gstscancodecs
 	rm -rf $(CURDIR)/fake-home

## gst-plugins-good1.0 1.22.5

=== meson_options.txt ===
--- 
+++ 
@@ -87,6 +87,9 @@
 # Qt plugin options
 option('qt-method', type: 'combo', value: 'auto', choices: ['auto', 'pkg-config', 'qmake'],
        description: 'Method to use to find Qt')
+option('qt-egl', type: 'feature', value: 'auto', description: 'EGLFS support in the Qt plugins')
+option('qt-wayland', type: 'feature', value: 'auto', description: 'Wayland support in the Qt plugins')
+option('qt-x11', type: 'feature', value: 'auto', description: 'Wayland support in the Qt plugins')
 option('qt5', type : 'feature', value : 'auto', yield : true, description : 'Qt5 QML video sink plugin')
 option('qt6', type : 'feature', value : 'auto', yield : true, description : 'Qt6 QML video sink plugin')

=== debian/changelog ===
gst-plugins-good1.0 (1.22.5-1ubuntu1) mantic; urgency=medium

  * Merge from Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
    + Don't build the Qt6 plugin on i386 since Qt6 isn't built there
      on Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 09:56:18 -0400

gst-plugins-good1.0 (1.22.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Cherry-pick patch to fix Qt build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 08:02:48 -0400

gst-plugins-good1.0 (1.22.4-1ubuntu2) mantic; urgency=medium

  * Disable qt-wayland on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 18:30:37 -0400

gst-plugins-good1.0 (1.22.4-1ubuntu1) mantic; urgency=medium

  * Merge from Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
    + Don't build the Qt6 plugin on i386 since Qt6 isn't built there
      on Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 16:05:51 -0400

gst-plugins-good1.0 (1.22.4-1) unstable; urgency=high

  * Team upload
  * SECURITY UPDATE: New upstream release
    - Integer overflow leading to heap overwrite in FLAC image tag handling
      (GStreamer-SA-2023-0001, ZDI-CAN-20775)
    - Heap overwrite in PGS subtitle overlay decoder
      (GStreamer-SA-2023-0003, ZDI-CAN-20994)
  * debian/control: Update qt6 Build-Depends
  * debian/control: Update libshout-dev Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 15:58:32 -0400

gst-plugins-good1.0 (1.22.3-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 14:42:30 -0400

gst-plugins-good1.0 (1.22.3-1ubuntu1) mantic; urgency=medium

  * Merge from Debian (LP: #2015129. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
    + Don't build the Qt6 plugin on i386 since Qt6 isn't built there
      on Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 May 2023 09:04:55 -0400

gst-plugins-good1.0 (1.22.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * debian/rules: Enable all hardening flags
  * Try dropping patch that skips some failing build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 May 2023 08:14:46 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libcaca-dev,
                libspeex-dev (>= 1.1.6),
                libpng-dev,
-               libshout3-dev,
+               libshout-dev,
                libjpeg-dev,
                libaa1-dev (>= 1.4p5),
                libflac-dev (>= 1.1.4),
@@ -46,9 +46,10 @@
                qtbase5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qtbase5-private-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qtdeclarative5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
-               qt6-base-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
+               qt6-base-private-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qt6-declarative-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qt6-tools-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
+               qt6-wayland-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                libqt5x11extras5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                libqt5waylandclient5-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64],
                libraw1394-dev (>= 2.0.0) [linux-any],

## gst-plugins-good1.0 1.22.6

=== debian/changelog ===
gst-plugins-good1.0 (1.22.6-1ubuntu1) mantic; urgency=medium

  * Merge from Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
    + Don't build the Qt6 plugin on i386 since Qt6 isn't built there
      on Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Sep 2023 15:10:09 -0400

gst-plugins-good1.0 (1.22.6-1) unstable; urgency=medium

  * Team upload
  * New upstream bugfix release
  * Drop Qt patch: applied in new release
  * Build-Depend on qttools5-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Sep 2023 15:04:32 -0400

=== debian/control ===
--- 
+++ 
@@ -46,6 +46,7 @@
                qtbase5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qtbase5-private-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qtdeclarative5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
+               qttools5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qt6-base-private-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qt6-declarative-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qt6-tools-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 include /usr/share/dpkg/default.mk
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export HOME=$(CURDIR)/fake-home
 export QT_SELECT=5
 
@@ -11,10 +13,6 @@
 gst_version=$(shell echo $(version) | cut -d '-' -f 1)
 
 built_binaries := $(shell dh_listpackages)
-
-CFLAGS += -Wno-error
-CXXFLAGS += -Wno-error
-LDFLAGS += -Wl,-z,defs -Wl,-O1
 
 # Let's decide the package name and url depending on the distribution
 DISTRO = "$(shell dpkg-vendor --query vendor)"
@@ -50,6 +48,11 @@
 conf_flags += -Dqt6=disabled
 endif
 
+# qtwayland-opensource-src isn't built on i386 currently
+ifeq ($(DEB_HOST_ARCH),i386)
+conf_flags += -Dqt-wayland=disabled
+endif
+
 %:
 	dh $@
